
if [ "$1" = "install" ]
then

  cd simpledvd
  make install
  cd ../complexdvd
  make install

elif [ "$1" = "clean" ]
then

  cd simpledvd
  make clean
  rm -rf Makefile *~ core* .ui .obj .moc
  cd ../complexdvd
  make clean
  rm -rf Makefile *~ core* .ui .obj .moc
  cd ../menuslide
  make clean; rm menuslide
  rm -rf Makefile *~ core* .ui .obj .moc
  cd ../testplugs
  make clean
  rm -rf Makefile *~ core* .ui .obj .moc

  rm plugins/*

else

  QMAKE=$QTDIR/bin/qmake
  if [ ! -e $QMAKE ]; then
    QMAKE=qmake
  fi;
  cd simpledvd
  $QMAKE; make; $QMAKE
  cd ../complexdvd
  $QMAKE; make; $QMAKE
  cd ../menuslide
  $QMAKE; make; $QMAKE
  cd ../testplugs
  $QMAKE; make; $QMAKE

fi;

